#include <QtGui/QApplication>
#include <QMessageBox>
#include <QTextStream>
#include <QTextCodec>
#include <QFile>
#include <QDesktopWidget>
#include "mainwindow.h"

int main(int argc, char *argv[]) {
  QApplication a(argc, argv);
  QTextCodec *cyrillicCodec = QTextCodec::codecForName("UTF-8");
  QTextCodec::setCodecForCStrings(cyrillicCodec);
  MainWindow w;
  w.setWindowTitle("Program");
  int x = QApplication::desktop()->screen( 0)->width()/2 - w.width()/2;
  int y = QApplication::desktop()->screen( 0)->height()/2 - w.height()/2;
  w.SetParam();
  w.move( x, y - 20);
  w.showNormal();
  return a.exec();
}
