#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QDate>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public:
    void SetParam();


private:
    Ui::MainWindow *ui;



private slots:
  void on_tblData_currentCellChanged(int currentRow, int currentColumn, int previousRow, int previousColumn);
  void on_btRun_clicked();
  void on_calDate_clicked(QDate date);
  void on_btDate_clicked();
};

#endif // MAINWINDOW_H
